#ifndef _MESSAGE_PARSE_HPP_
#define _MESSAGE_PARSE_HPP_
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
struct message_file
{
private:
	bool  m_owner;
	FILE* m_file;
	char  m_last_line[256];
	message_file(const message_file&);
public:

	message_file(const char*fname);
	message_file(FILE*fp);
	~message_file();
	
	
	int get_line(uint64_t*time,char*buf,int buflen);
	int put_line(uint64_t time,char*buf,int buflen);
};

#endif

